dnl -*- html -*-
define(__title, `Bandali''`s Personal Site')dnl
define(__slug, `home')dnl
define(__nts)dnl
include(header.html)dnl

<section id="intro" class="justify">
<p>Hi, I'm bandali.  I am
a <a href="//www.gnu.org/philosophy/free-sw.html">free software</a>
activist and a computing scientist.  I graduated from the University
of Waterloo with a <a href="/mmath">Master of Mathematics</a> degree
in Computer Science, where I did research in formal logic, model
checking, and verification supervised
by <a href="//cs.uwaterloo.ca/~nday/">Prof. Nancy Day</a>.  The main
goal of my research is improving <strong>software and systems
reliability</strong> through application of
<a href="//en.wikipedia.org/wiki/Formal_methods">formal methods</a>.
My research areas of interest include programming languages, proof
assistants, and their type systems.</p>

<p>On the side, I
enjoy <a href="//stallman.org/articles/on-hacking.html">hacking</a>
on <a href="//www.gnu.org/software/emacs/manual/elisp.html">elisp</a>
and <a href="//www.gnu.org/software/guile/">guile</a>.  I'm a
GNU <a href="//www.gnu.org/people/people.html#bandali">maintainer</a>,
<a href="//www.gnu.org/people/webmeisters.html#bandali">webmaster</a>,
and <a href="//savannah.gnu.org/maintenance/SavannahHacker/">Savannah
hacker</a>; and an <a href="//www.fsf.org/associate/">associate
member</a> of the Free Software Foundation (FSF).  I'm currently the
chief organizer of the <a href="//emacsconf.org">EmacsConf</a>
conference, and the co-host of
the <a href="//emacsel.com">Emacs.el</a> podcast with
<a href="//www.pygopar.com">Daniel Gopar</a>.  I am also a member of
the Systems Committee of the
<a href="//csclub.uwaterloo.ca">Computer Science Club</a> of the
University of Waterloo.</p>

<p>Starting in spring 2020, I am an intern with the FSF tech team.</p>
</section>

<section id="notes" class="justify">
<h2>Notes</h2>
<p>Here are notes about a variety of topics and issues I care about.
They're also available via
<a href="notes.atom">
<img class="feed-icon" src="icon-12px.png"
     alt="subscribe to Atom feed">Atom</a>
and
<a href="notes.rss">
<img class="feed-icon" src="icon-12px.png"
     alt="subscribe to RSS feed">RSS</a> feeds.</p>

<table class="post-list">
<tbody>
<tr>
<td><a href="fsf-internship/intro">Internship with the FSF tech team</a>
(intro)</td>
<td><small>May 29, 2020</small></td>
</tr>
<tr>
<td><a href="computing">How I do my Computing</a></td>
<td><small>September 14, 2019</small></td>
</tr>
<tr>
<td><a href="arch-macbook-air">Arch GNU/Linux on MacBook Air 2013</a></td>
<td><small>November 1, 2016</small></td>
</tr>
</tbody>
</table>
</section>

define(__copy, `2016&ndash;2020')dnl
include(footer.html)dnl
